package tasks

import "ocl/portainer-devtool/configs"

type GenerateJwtTokenTask struct {
	Config *configs.Config
}

func NewGenerateJwtTokenTask(cfg *configs.Config) *GenerateJwtTokenTask {
	return &GenerateJwtTokenTask{
		Config: cfg,
	}
}

func (task *GenerateJwtTokenTask) Execute() error {
	return nil
}

func (task *GenerateJwtTokenTask) String() string {
	return "Generate JWT token"
}
